
Foreman - Bug #5820

Hosts show API does not return parameter values

05/20/2014 01:27 PM - Tomáš Strachota

Status: Duplicate   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hosts show API returns only id and name of parameters. Values are missing.

It is caused by referencing wrong rabl partial from app/views/api/v2/hosts/show.json.rabl (around line 6).

Related issues:

Is duplicate of Foreman - Bug #5726: [hooks] JSON supplied to Foreman hooks i... Closed 05/14/2014

History

#1 - 05/20/2014 01:47 PM - Tomáš Strachota

- Status changed from New to Ready For Testing

- Assignee set to Tomáš Strachota

https://github.com/theforeman/foreman/pull/1459

#2 - 05/20/2014 01:56 PM - Tomáš Strachota

- Target version set to 1.8.2

#3 - 05/20/2014 02:13 PM - Dominic Cleal

- Is duplicate of Bug #5726: [hooks] JSON supplied to Foreman hooks is missing data added

#4 - 05/20/2014 02:13 PM - Dominic Cleal

- Status changed from Ready For Testing to Duplicate

- Target version deleted (1.8.2)
